<?php defined('C5_EXECUTE') or die(_("Access Denied."));
/*
Add this file to your site's top-level "elements" directory,
then add this line above "print $innerContent" in your theme's view.php file:
<?php Loader::element('system_errors', array('error' => $error)); ?>
*/
if (isset($error) && $error != '') {
	if ($error instanceof Exception) {
		$_error[] = $error->getMessage();
	} else if ($error instanceof ValidationErrorHelper) { 
		$_error = $error->getList();
	} else if (is_array($error)) {
		$_error = $error;
	} else if (is_string($error)) {
		$_error[] = $error;
	}
	?>
	
	<div class="ccm-error">Please correct the following error(s):</div>
	
	<ul class="ccm-error">
	<?php foreach($_error as $e): ?>
		<li><?php echo $e?></li>
	<?php endforeach; ?>
	</ul>

<?php } ?>
